<?php
require_once mb_path("/lib-action/action.php");

class SelectSSOLoginMethod extends MB_Action {
	function SelectSSOLoginMethod() {
		parent::MB_Action();
		$this->stringRep = __CLASS__;
	}

	function execute() {
		global $CONF;
		parent::execute();

		if (! SSO_ENABLED) {
			echo 'SSO extention is not enabled at this moment. Please configure and set enable this extention before.';
			exit;
		}
		if (PLESKBUNDLE == 1){
			$admin = oneOf(":admins", array(
				"adminPassword" => "UNKNOWN",
			));
			if ((int)$admin["adminID"]){
				$this->smartyVars["redirectToPlesk"] = 1;
				$this->smartyVars["serverName"] = $_SERVER["SERVER_NAME"];
			}
		}
		if(isset($_REQUEST["msg"]) && defined($msg = $_REQUEST["msg"]) && startswith($msg, "TRANS_")) {
			$this->smartyVars["msg"] = $msg;
		} else {
			$this->smartyVars["msg"] = NULL;
		}
		$this->hasExecutedSuccessfully = ((int) $this->addTemplate("login/SelectSSOLoginMethod"));
		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();
	}
} // SelectSSOLoginMethod
?>
