<?php
require_once mb_path("/lib-action/action.php");

class ShowIDPSelectName extends MB_Action {
	function ShowIDPSelectName() {
		parent::MB_Action();
		$this->stringRep = __CLASS__;
	}

	function execute() {
		global $CONF;
		parent::execute();

		if (! SSO_ENABLED) {
			echo 'SSO extention is not enabled at this moment. Please configure and set enable this extention before.';
			exit;
		}

		$names = array();
		foreach (array_keys($_POST) as $key) {
			if (preg_match('/^(name_\d+)$/', $key, $matches)) {
				$names[] = $_POST[$key];
			}
		}

		$smartyVars = array(
			'message' => $_POST['message'],
			'relayState' => $_POST['relay_state'],
			'requestId' => $_POST['request_id'],
			'responseUrl' => $_POST['response_url'],
			
			'localUserIds' => $names,
		);
		$this->hasExecutedSuccessfully = (int) $this->addTemplate("login/ShowIDPSelectName", $smartyVars);
		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();
	}
} // ShowIDPSelectName
?>
