<?php
require_once mb_path("/lib-action/action.php");

class ShowIDPFIConfirmDetach extends MB_Action {
	function ShowIDPFIConfirmDetach() {
		parent::MB_Action();
		$this->stringRep = __CLASS__;
	}

	function execute() {
		global $CONF;
		parent::execute();

		if (! SSO_ENABLED) {
			echo 'SSO extention is not enabled at this moment. Please configure and set enable this extention before.';
			exit;
		}
		$smartyVars = array(
			'message' => $_POST['message'],
			'relayState' => $_POST['relay_state'],
			'requestId' => $_POST['request_id'],
			'responseUrl' => $_POST['response_url'],
			
			'fiUserNameId' => $_POST['fi_user_name_id'],
			'localUserId' => $_POST['local_user_id']
		);
		$this->hasExecutedSuccessfully = (int) $this->addTemplate("login/ShowIDPFIConfirmDetach", $smartyVars);
		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();
	}
} // ShowIDPFIConfirmDetach
?>
