<?php
require_once(MB_LIBPATH . '/lib-action/action.php');
require_once(MB_LIBPATH . '/lib-tk/include/sso/SSOSettings.php');
require_once(MB_LIBPATH . '/lib-tk/include/sso/SSOUtil.php');
require_once(MB_LIBPATH . '/lib-tk/include/sso/util.php');

class ShowIDPFIManagement extends MB_Action {
	function ShowIDPFIManagement() {
		parent::MB_Action();
		$this->stringRep = __CLASS__;
	}

	function execute() {
		global $CONF;
		parent::execute();

		if (! SSO_ENABLED) {
			echo 'SSO extention is not enabled at this moment. Please configure and set enable this extention before.';
			exit;
		}
		if (! $CONF['user']['username']) {
        	redirect('login.php', getActionID('ShowLogin'));
			exit;
		}

		$ret_url = get_base_url();
		$ret_url = preg_replace('/have_associated_fi\=\w*\&*/i', '', $ret_url);
		$ret_url = preg_replace('/associated_fi_name\=\w*\&*/i', '', $ret_url);
		$ret_url = preg_replace('/result_code\=\w*\&*/i', '', $ret_url);
		$ret_url = preg_replace('/action_id\=\w*\&*/i', '', $ret_url);
		$ret_url = preg_replace('/action_id\=\w*\&*/i', '', $ret_url);
		$ret_url = preg_replace('/[\&\?]*$/', '', $ret_url);
		$ret_url = urlencode($ret_url);
		
		$sso_props = SSOSettings::getProps();
		$sso_api_url = SSOSettings::getUserIDPApiURL()
			. '/fi_ui?action_id=%action_id%&sp_id=' . SSOUtil::getSPID()
			. '&user_id=' . $CONF['user']['username']
			. '&redirect_url=' . $ret_url;

		$smartyVars = array(
			'associatedFIName' => SSOUtil::getAssociatedFIName(),
			'sso_api_url' => htmlspecialchars($sso_api_url)
		);
		$this->hasExecutedSuccessfully = (int) $this->addTemplate("login/ShowIDPFIManagement", $smartyVars);
		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();
	}
} // ShowIDPFIManagement
?>
